Table of Contents

## Name

glColorMask - enable and disable writing of frame buffer color components

## C Specification

void glColorMask( GLboolean red,

        GLboolean green,
        GLboolean blue,
        GLboolean alpha )

## Parameters

red, green, blue, alpha
  Specify whether red, green, blue, and alpha can or cannot be written into the frame buffer. The initial values are all GL_TRUE, indicating that the color components can be written.

## Description

glColorMask specifies whether the individual color components in the frame buffer can or cannot be written. If red is GL_FALSE, for example, no change is made to the red component of any pixel in any of the color buffers, regardless of the drawing operation attempted.

Changes to individual bits of components cannot be controlled. Rather, changes are either enabled or disabled for entire color components.

## Errors

GL_INVALID_OPERATION is generated if glColorMask is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_COLOR_WRITEMASK
glGet with argument GL_RGBA_MODE

## See Also

glClear(3G) , glColor(3G) , glColorPointer(3G) , glDepthMask(3G) , glIndex(3G) , glIndexPointer(3G) , glIndexMask(3G) , glStencilMask(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- Associated Gets
- See Also